# Generated by Django 3.1.3 on 2020-11-26 18:26

import colorfield.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Project',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=120, verbose_name='name of project')),
                ('label', models.CharField(max_length=120, verbose_name='label of project')),
                ('description', models.CharField(blank=True, max_length=120, null=True, verbose_name='description of project')),
                ('created', models.DateTimeField(auto_now_add=True, null=True, verbose_name='created')),
                ('updated', models.DateTimeField(auto_now=True, null=True, verbose_name='updated')),
            ],
        ),
        migrations.CreateModel(
            name='Task',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=120, verbose_name='name of task')),
                ('label', models.CharField(max_length=120, verbose_name='label of task')),
                ('smart_annotate', models.CharField(choices=[('on', 'Smart annotate on'), ('off', 'Smart annotate off'), ('flexible', 'User can choose')], default=('on', 'Smart annotate on'), max_length=120)),
                ('isFixed', models.BooleanField(default=True)),
                ('font_color_hex', colorfield.fields.ColorField(default='#000000', max_length=18, verbose_name='font color')),
                ('background_color_hex', colorfield.fields.ColorField(default='#8dd3c7', max_length=18, verbose_name='background color')),
                ('description', models.CharField(blank=True, max_length=120, null=True, verbose_name='description of task')),
                ('created', models.DateTimeField(auto_now_add=True, null=True, verbose_name='created')),
                ('updated', models.DateTimeField(auto_now=True, null=True, verbose_name='updated')),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='tasks', to='project_settings.project')),
            ],
        ),
        migrations.CreateModel(
            name='SearchString',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=120, verbose_name='name of search string')),
                ('label', models.CharField(max_length=120, verbose_name='label of search string')),
                ('description', models.CharField(blank=True, max_length=120, null=True, verbose_name='description of search string')),
                ('created', models.DateTimeField(auto_now_add=True, null=True, verbose_name='created')),
                ('updated', models.DateTimeField(auto_now=True, null=True, verbose_name='updated')),
                ('tasks', models.ManyToManyField(related_name='search_string', to='project_settings.Task')),
            ],
        ),
    ]
